Bug 272369 - [Usability] Satellite of interest is difficult to find
Summary: [Usability] Satellite of interest is difficult to find
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Akarsh Simha
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-03 21:55 UTC by Alexey Khudiakov
Modified: 2011-07-23 19:51 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Khudiakov 2011-05-03 21:55:37 UTC
Version:           unspecified
OS:                Linux

There are a lot of satellites in the configuration page of satellites. Well over a hundred. If one need to find a particular satellite he is forced to look carefully through the list. Search field could be very helpful here

Also there is no way to select group of satellites, e.g. all GPS satellites.

Reproducible: Didn't try
Comment 1 Jérôme SONRIER 2011-07-20 00:26:50 UTC
Git commit 2da22ad7ec633763a282c36ae5442d09cd306118 by Jérome SONRIER.
Committed on 20/07/2011 at 02:25.
Pushed by jsonrier into branch 'master'.

Add checkboxes to select group of satellites

CCBUG: 272369
CCMAIL: kstars-devel@kde.org

M  +65   -2    kstars/options/opssatellites.cpp
M  +1    -0    kstars/options/opssatellites.h

http://commits.kde.org/kstars/2da22ad7ec633763a282c36ae5442d09cd306118
Comment 2 Jérôme SONRIER 2011-07-20 00:26:50 UTC
Git commit 170700e72fb77b7ed73d9035828e8ee4318db0fc by Jérome SONRIER.
Committed on 19/07/2011 at 03:06.
Pushed by jsonrier into branch 'master'.

Add a search field on satellites option dialog

CCBUG: 272369
CCMAIL: kstars-devel@kde.org

M  +91   -70   kstars/options/opssatellites.ui
M  +72   -31   kstars/options/opssatellites.cpp
M  +14   -1    kstars/options/opssatellites.h

http://commits.kde.org/kstars/170700e72fb77b7ed73d9035828e8ee4318db0fc